=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.0.0-6mx-alpha-generic [alpha], linux-image-6.0.0-6mx-alpha-smp [alpha], linux-image-6.0.0-6mx-amd64-unsigned [amd64], linux-image-6.0.0-6mx-cloud-amd64-unsigned [amd64], linux-image-6.0.0-6mx-rt-amd64-unsigned [amd64], linux-image-6.0.0-6mx-arm64-unsigned [arm64], linux-image-6.0.0-6mx-cloud-arm64-unsigned [arm64], linux-image-6.0.0-6mx-rt-arm64-unsigned [arm64], linux-image-6.0.0-6mx-marvell [armel], linux-image-6.0.0-6mx-rpi [armel], linux-image-6.0.0-6mx-armmp [armhf], linux-image-6.0.0-6mx-armmp-lpae [armhf], linux-image-6.0.0-6mx-rt-armmp [armhf], linux-image-6.0.0-6mx-parisc [hppa], linux-image-6.0.0-6mx-parisc64 [hppa], linux-image-6.0.0-6mx-686-unsigned [i386], linux-image-6.0.0-6mx-686-pae-unsigned [i386], linux-image-6.0.0-6mx-rt-686-pae-unsigned [i386], linux-image-6.0.0-6mx-itanium [ia64], linux-image-6.0.0-6mx-mckinley [ia64], linux-image-6.0.0-6mx-m68k [m68k], linux-image-6.0.0-6mx-4kc-malta [mips mipsel], linux-image-6.0.0-6mx-mips32r2eb [mips], linux-image-6.0.0-6mx-octeon [mips mips64 mips64el mipsel], linux-image-6.0.0-6mx-5kc-malta [mips64 mips64el], linux-image-6.0.0-6mx-mips64r2eb [mips64], linux-image-6.0.0-6mx-mips64r2el [mips64el], linux-image-6.0.0-6mx-loongson-3 [mips64el mipsel], linux-image-6.0.0-6mx-mips64r6eb [mips64r6], linux-image-6.0.0-6mx-mips64r6el [mips64r6el], linux-image-6.0.0-6mx-mips32r2el [mipsel], linux-image-6.0.0-6mx-mips32r6eb [mipsr6], linux-image-6.0.0-6mx-mips32r6el [mipsr6el], linux-image-6.0.0-6mx-powerpc [powerpc], linux-image-6.0.0-6mx-powerpc-smp [powerpc], linux-image-6.0.0-6mx-powerpc64 [powerpc ppc64], linux-image-6.0.0-6mx-powerpc64le [ppc64el], linux-image-6.0.0-6mx-riscv64 [riscv64], linux-image-6.0.0-6mx-s390x [s390x], linux-image-6.0.0-6mx-sh7751r [sh4], linux-image-6.0.0-6mx-sh7785lcr [sh4], linux-image-6.0.0-6mx-sparc64 [sparc64], linux-image-6.0.0-6mx-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-6.0.0-6mx-alpha-smp [alpha], linux-headers-6.0.0-6mx-cloud-amd64 [amd64], linux-headers-6.0.0-6mx-cloud-arm64 [arm64], linux-headers-6.0.0-6mx-armmp [armhf], linux-headers-6.0.0-6mx-parisc [hppa], linux-headers-6.0.0-6mx-686-pae [i386], linux-headers-6.0.0-6mx-itanium [ia64], linux-headers-6.0.0-6mx-m68k [m68k], linux-headers-6.0.0-6mx-powerpc64 [ppc64], linux-headers-6.0.0-6mx-powerpc64le [ppc64el], linux-headers-6.0.0-6mx-riscv64 [riscv64], linux-headers-6.0.0-6mx-s390x [s390x], linux-headers-6.0.0-6mx-sparc64-smp [sparc64]
